Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » C / C++ IDE (CDT) » cannot create projects "No project types available"(Fresh Install 2001-03 CDT, not working)
cannot create projects "No project types available" [message #1840285] Sun, 11 April 2021 14:09 Go to next message
heinrich seebauer is currently offline heinrich seebauerFriend
Messages: 5
Registered: April 2021
Junior Member
Hi, there.

Because of a more and more degrading installation, and updating made it even worse, I installed the last release 2021-03. To get rid of all the issues, I created a new workspace and deleted ~/.eclipse beforehand. I even installed on a new user's home, to no avail.

I'm not sure what information to provide, having no clue where the problem is located.
Any help in getting CDT functional is greatly appreciated.

OS is Linux, kernel 5.3.18-lp152.69-default, distro is openSuse 15.2, KDE Frameworks 5.71.0
Qt 5.12.7, Java openjdk 11.0.10 2021-01-19.

This is what I did so far:

- downloaded eclipse 2021-03 installer, unpacked it.
- started installer, Installing eclipse (C/C++ development) 2021-03 throws GTK warnings, as does staring installed eclipse.

~/eclipse/cpp-2021-03/eclipse$./eclipse-inst
(eclipse-inst:18281): Gtk-WARNING **: 14:42:00.997: Theme parsing error: widgets.css:146:17: expected ':'
(eclipse-inst:18281): Gtk-WARNING **: 14:42:00.998: Theme parsing error: widgets.css:295:11: Invalid name of pseudo-class
(eclipse-inst:18281): Gtk-WARNING **: 14:42:00.998: Theme parsing error: widgets.css:317:23: The :focused pseudo-class is deprecated. Use :focus instead.
(java:18305): Gtk-WARNING **: 14:42:01.195: Theme parsing error: widgets.css:146:17: expected ':'
(java:18305): Gtk-WARNING **: 14:42:01.195: Theme parsing error: widgets.css:295:11: Invalid name of pseudo-class
(java:18305): Gtk-WARNING **: 14:42:01.195: Theme parsing error: widgets.css:317:23: The :focused pseudo-class is deprecated. Use :focus instead.
(WebKitWebProcess:18424): Gtk-WARNING **: 14:42:03.601: Theme parsing error: widgets.css:146:17: expected ':'
(WebKitWebProcess:18424): Gtk-WARNING **: 14:42:03.601: Theme parsing error: widgets.css:295:11: Invalid name of pseudo-class
(WebKitWebProcess:18424): Gtk-WARNING **: 14:42:03.601: Theme parsing error: widgets.css:317:23: The :focused pseudo-class is deprecated. Use :focus instead.
(WebKitWebProcess:18424): Gtk-WARNING **: 14:42:03.681: Theme parsing error: widgets.css:146:17: expected ':'
(WebKitWebProcess:18424): Gtk-WARNING **: 14:42:03.681: Theme parsing error: widgets.css:295:11: Invalid name of pseudo-class
(WebKitWebProcess:18424): Gtk-WARNING **: 14:42:03.681: Theme parsing error: widgets.css:317:23: The :focused pseudo-class is deprecated. Use :focus instead.
(WebKitWebProcess:18516): Gtk-WARNING **: 14:42:07.367: Theme parsing error: widgets.css:146:17: expected ':'
(WebKitWebProcess:18516): Gtk-WARNING **: 14:42:07.367: Theme parsing error: widgets.css:295:11: Invalid name of pseudo-class
(WebKitWebProcess:18516): Gtk-WARNING **: 14:42:07.367: Theme parsing error: widgets.css:317:23: The :focused pseudo-class is deprecated. Use :focus instead.
(WebKitWebProcess:18516): Gtk-WARNING **: 14:42:07.452: Theme parsing error: widgets.css:146:17: expected ':'
(WebKitWebProcess:18516): Gtk-WARNING **: 14:42:07.452: Theme parsing error: widgets.css:295:11: Invalid name of pseudo-class
(WebKitWebProcess:18516): Gtk-WARNING **: 14:42:07.452: Theme parsing error: widgets.css:317:23: The :focused pseudo-class is deprecated. Use :focus instead.
(WebKitWebProcess:18630): Gtk-WARNING **: 14:42:34.159: Theme parsing error: widgets.css:146:17: expected ':'
(WebKitWebProcess:18630): Gtk-WARNING **: 14:42:34.160: Theme parsing error: widgets.css:295:11: Invalid name of pseudo-class
(WebKitWebProcess:18630): Gtk-WARNING **: 14:42:34.160: Theme parsing error: widgets.css:317:23: The :focused pseudo-class is deprecated. Use :focus instead.
(WebKitWebProcess:18630): Gtk-WARNING **: 14:42:34.195: Theme parsing error: widgets.css:146:17: expected ':'
(WebKitWebProcess:18630): Gtk-WARNING **: 14:42:34.196: Theme parsing error: widgets.css:295:11: Invalid name of pseudo-class
(WebKitWebProcess:18630): Gtk-WARNING **: 14:42:34.196: Theme parsing error: widgets.css:317:23: The :focused pseudo-class is deprecated. Use :focus instead.

- then started eclipse from installer with new eclipse-workpace, eclipse shows welcome screen
- clicked on "Create a new C/C++ project, shows C Managed Build, C++ Managed Build, selected C
- clicked "Next>" button
- C Project dialog opens: "Project name must be specified"
- enter "p1" for a program name
- Error message displays: "No project types available", so I can't create any project.

Same results when starting eclipse after installation.
I even tried to install with a complete new user on my machine, with the same results.
Besides, I observed problems with eclipse ui in general, especially with view menus not displayed at all, but can't tell if this relates to this issue.
Can't even tell if this is GTK related.

For now I'm running out of search terms for Mr. G. Searching for "No project types available" has been found several times but that didn't cover or solve the issue.
What am I doing wrong? Any help is GREATLY appreciated.

Kind regards
Heinrich

[Updated on: Thu, 15 April 2021 18:03]

Report message to a moderator

Re: cannot create projects "No project types available" [message #1840288 is a reply to message #1840285] Sun, 11 April 2021 16:28 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 739
Registered: August 2014
Senior Member
It seems that your operating system (Linux?) and its graphics toolkit (GTK) do not match what the installed Java and Eclipse installer need.

It is difficult to say anything more without knowing the operating system and Java versions.

Oracle Java version 11 JDK seems to be a safe bet.

In my Linux (Kubuntu 20.04 LTS), even the OpenJDK version 11 runs fine.


--

Tauno Voipio
Re: cannot create projects "No project types available" [message #1840385 is a reply to message #1840288] Tue, 13 April 2021 18:46 Go to previous messageGo to next message
heinrich seebauer is currently offline heinrich seebauerFriend
Messages: 5
Registered: April 2021
Junior Member
Hello Tauno, thank you very much for your response.

Unfortunately correcting a typo in the topic description seems to have duplicated the whole entry.

I had added some information about Linux, KDE, Java to the involuntary copy of this topic before spotting your reply.
I would kindly ask you to follow the duplicate's track.

Kind regards
Heinrich
Re: cannot create projects "No project types available" [message #1840408 is a reply to message #1840385] Wed, 14 April 2021 17:02 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 739
Registered: August 2014
Senior Member
I found two sets of posts by you, neither of which had any details in.

Please continue on this thread and post the details again. If the installer fails as coarsely as your logs show, there is a good reason to suspect the connection of your Java and GTK, maybe themes.

Please check that you're using the standard color schemes, for the desktop and GTK. The special themes often overlook some points, and the error messages are hinting at theme setup failures.


--

Tauno Voipio
Re: cannot create projects "No project types available" [message #1840463 is a reply to message #1840408] Thu, 15 April 2021 19:23 Go to previous messageGo to next message
heinrich seebauer is currently offline heinrich seebauerFriend
Messages: 5
Registered: April 2021
Junior Member
This is weird. I apologize for the inconvenience.

Here are the details:
OS is Linux, kernel 5.3.18-lp152.69-default, distro is openSuse 15.2, KDE Frameworks 5.71.0
Qt 5.12.7, Java openjdk 11.0.10 2021-01-19.

Regarding your hint and playing around with designs and application style, I found a configuration that lets eclipse start and run without Gtk issues.
The view menus are working again. But project types are missing still.
Re: cannot create projects "No project types available" [message #1840622 is a reply to message #1840463] Tue, 20 April 2021 19:55 Go to previous messageGo to next message
heinrich seebauer is currently offline heinrich seebauerFriend
Messages: 5
Registered: April 2021
Junior Member
At my workplace, we had the same issue now with 2021-03.
It seems that 2020-09 has the same problem, as it shows no project types either.
From 2020-09 on eclipse needs minimum Java 11. But I think
$ java --version
OpenJDK Runtime Environment (build 11.0.10+9-suse-lp152.2.9.1-x8664)
OpenJDK 64-Bit Server VM (build 11.0.10+9-suse-lp152.2.9.1-x8664, mixed mode)

tells me that v11 is installed. Could there be any problem with my Java installation?

Kind regards
Heinrich
Re: cannot create projects "No project types available" [message #1847585 is a reply to message #1840622] Mon, 01 November 2021 22:54 Go to previous message
Torben Hansen is currently offline Torben HansenFriend
Messages: 2
Registered: May 2016
Junior Member
I had the same problem, also on openSUSE, though 15.3.

Choosing a different java (JRE 17 from eclipse) in the installer solved the problem.

Regards
Torben
Previous Topic:gdb problems C++ with std::list
Next Topic:How to config CDT debug for cygwin?
Goto Forum:
  


Current Time: Sat Feb 04 01:41:20 GMT 2023

Powered by FUDForum. Page generated in 0.37461 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top